Custom Field
A custom field allows you to create a customized field to track extra characteristics and attributes of a record. Custom field object allows you to perform the following operations:
- Retrieve a specific custom field or a list of custom fields
- Create a custom field
- Update a custom field
- Delete a custom field
- cURL
- NODE.JS
- PHP
- C#
- PYTHON
- JAVA
The Custom Field Object
asterisk denotes required| Name | Description | Format | Attributes |
|---|---|---|---|
| label | Name of the custom field | string | MaxLength = 50 Filterable, Sortable |
| createdById | Identifier of the user who created this object | uuid | Filterable |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid | |
| definitionId | Identifier of the custom field assigned to a module | uuid | Filterable |
| description | Represents the description of the custom field | string | MaxLength = 100 |
| id | Object identifier | uuid | Filterable |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time | Filterable, Sortable |
| lastUpdatedById | Identifier of the user who last updated this object | uuid | Filterable |
| length | Number of characters allowed in a custom field | int32 | |
| module | Represents the module to which a custom field can be assigned, e.g., activity, client, employee, etc. | CustomFieldModule Enumerated type: Click to see possible values and their descriptions. | Filterable |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectState Enumerated type: Click to see possible values and their descriptions. | |
| token | Represents the token for update operations | int32 | |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldType Enumerated type: Click to see possible values and their descriptions. | |
| version | Implements concurrency on this object | byte |
Custom Field List
Use this method to retrieve a list of custom fields. You can optionally pass where, orderBy, and page as query parameters to filter the result. Use the fields parameter to request a subset of the model. By default, a complete model is returned.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| fields | Query | Specifies the model properties you want in the response body | string |
| where | Query | Specifies only those records that match an expression in the query | string |
| orderBy | Query | Specifies the order of the records | string |
| page | Query | Specifies the page number and number of records on each page | string |
| expand | Query | string |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| definitionId | Identifier of the custom field assigned to a module | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| module | Represents the module to which a custom field can be assigned, e.g., activity, client, employee, etc. | CustomFieldModuleEnumerated type: Click to see possible values and their descriptions. |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
[
{
"label": "label",
"createdById": "d3934ba4-8c8b-4ae4-b374-44ec8646d38d",
"createdOn": "2026-05-21T06:31:28Z",
"customListId": "a32ad80a-50da-4ab3-aab6-f2f86da1dd2a",
"definitionId": "6aa1f1be-d5b5-4444-bf35-a11d0dce57aa",
"description": "AssignedCustomField Description",
"id": "78dd6059-76d1-4aea-854a-5789823a233c",
"lastUpdated": "2026-05-21T06:31:28Z",
"lastUpdatedById": "6060d299-fc1e-4639-8aca-45a85033be91",
"length": 0,
"module": null,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}
]Retrieve a Custom Field
Use this method to retrieve a specific custom field. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
GET
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
read:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
{
"label": "label",
"createdById": "c5ba93b9-58db-41e6-9b4d-04fd9f5d467e",
"createdOn": "2026-05-21T06:31:28Z",
"customListId": "eee3730e-7e4d-4b8a-8114-ab4b325d1cae",
"description": "CustomField Description",
"id": "3b4c5c5b-3505-46f1-a8fa-f59348c176a8",
"lastUpdated": "2026-05-21T06:31:28Z",
"lastUpdatedById": "1a5c0ee5-a755-488e-8c69-d33e28e58011",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field
Use this method to save a custom field. Pass custom field as the parameter.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | CustomField |
Response Body
| Name | Description | Format |
|---|---|---|
| label | Name of the custom field | string |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| customListId | Identifier of the linked custom list if the custom field is of type drop-down | uuid |
| description | Represents the description of the custom field | string |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| length | Number of characters allowed in a custom field | int32 |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| token | Represents the token for update operations | int32 |
| type | Represents the data type of custom field, e.g., text, date, etc. | CustomFieldTypeEnumerated type: Click to see possible values and their descriptions. |
| version | Implements concurrency on this object | byte |
{
"label": "label",
"createdById": "1b3095e5-d0b2-4bee-843e-130b2b25c0cd",
"createdOn": "2026-05-21T06:31:28Z",
"customListId": "0a200668-81cf-40b8-8f92-452ae5578f96",
"description": "CustomField Description",
"id": "df8ae0dc-76b2-4bdc-a4b6-96b3f2990592",
"lastUpdated": "2026-05-21T06:31:28Z",
"lastUpdatedById": "e06ecf88-2ec7-422e-8a6b-7a746ae922b9",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field List
Use this method to save multiple custom fields. Pass model as the parameter.
As saving multiple records in a batch takes time, this endpoint returns a Job object that shows the progress of the batch operation. To check the status of the operation at any time, use the job endpoint.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | CustomFieldBatchRequest |
Response Body
| Name | Description | Format |
|---|---|---|
| batchSize | Represents the number of entities in a batch | int64 |
| createdById | Identifier of the user who created this object | uuid |
| createdOn | Date and time when this object was created (UTC Now), in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| id | Object identifier | uuid |
| lastUpdated | Last updated date and time value of this object in ISO 8601 date-time format, such as YYYY-MM-DDThh:mm:ss | date-time |
| lastUpdatedById | Identifier of the user who last updated this object | uuid |
| objectState | Represents the state of the object. e.g., new, unchanged, modified or deleted | ObjectStateEnumerated type: Click to see possible values and their descriptions. |
| progress | Represents the total number of entities processed | int64 |
| status | Represents the status of a job e.g., ready, running, completed, or terminated | string |
| token | Represents the token for update operations | int32 |
| type | Represents the type of a job e.g., create, update, or delete | string |
| version | Implements concurrency on this object | byte |
{
"batchSize": 0,
"createdById": "35add9af-0334-4795-a5cc-bbfd3ec9be30",
"createdOn": "2026-05-21T06:31:28Z",
"id": "4b1ed57d-6e07-4a9e-8b4d-beab51018a0e",
"lastUpdated": "2026-05-21T06:31:28Z",
"lastUpdatedById": "18587e49-eec3-4878-87cf-42b5ada0a86f",
"objectState": null,
"progress": 0,
"status": "status",
"token": 0,
"type": "type",
"version": "U3dhZ2dlciByb2Nrcw=="
}Create a Custom Field Assign
Use this method to assign multiple custom fields to a module.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | AssignCustomField |
Create a Custom Field Unassign
Use this method to remove a custom field from a module.
Request URL
Method Overview
HTTP Method:
POST
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| body | Body | Custom field object | UnAssignCustomField |
Update a Custom Field
Use this method to update a specific custom field. Pass id as the parameter.
Request URL
Method Overview
HTTP Method:
PUT
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
| body | Body | Custom field object | CustomField |
Response Body
| Name | Description | Format |
|---|
{
"label": "label",
"createdById": "7deb1246-7a45-4ac4-b051-67ec9c3cc3a2",
"createdOn": "2026-05-21T06:31:28Z",
"customListId": "b3fef660-7059-4247-bd4e-e31cd1b515cb",
"description": "CustomField Description",
"id": "bc90a2bc-663d-4a03-94a8-04e755662d89",
"lastUpdated": "2026-05-21T06:31:28Z",
"lastUpdatedById": "7a8360aa-4056-4325-a665-40736167cdff",
"length": 0,
"objectState": null,
"token": 0,
"type": null,
"version": "U3dhZ2dlciByb2Nrcw=="
}Delete a Custom Field
Use this method to delete a custom field. Pass id as the parameter. You can only delete a custom field if it is not assigned to any module.
Request URL
Method Overview
HTTP Method:
DELETE
Content Type:
application/json
Response Format:
N/A
Requires Authentication?
Yes
Headers:
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
Patch a Custom Field
Use this method to perform partial modifications to a custom field. Pass id and patch document as parameters.
Request URL
Method Overview
HTTP Method:
PATCH
Content Type:
application/json
Response Format:
json
Requires Authentication?
Yes
Headers:
Module:
Custom Field
Required Scopes:
readwrite:core
Required Subscription:
View Subscription
Request Parameters asterisk denotes required
| Name | Parameter Type | Description | Format |
|---|---|---|---|
| id | Path | Custom field identifier | string |
| body | Body | A document containing an array of objects with each object representing a single operation | CustomFieldPatchDocument |
Response Body
| Name | Description | Format |
|---|